%global srcname Unidecode
Name:		python-unidecode
Version:	0.04.7
Release:	1%{?dist}
Summary:	US-ASCII transliterations of Unicode text

Group:		Development/Libraries
License:	Perl
URL:		http://pypi.python.org/pypi/Unidecode/0.04.1
Source0:	http://pypi.python.org/packages/source/U/Unidecode/Unidecode-0.04.7.tar.gz

# BuildRequires:	python-devel
# Requires:	

%description
It often happens that you have non-Roman text data in Unicode, but you
can't display it -- usually because you're trying to show it to a user via
an application that doesn't support Unicode, or because the fonts you need
aren't accessible. You could represent the Unicode characters as "???????"
or " BA A0q0...", but that's nearly useless to the user who actually wants
to read what the text says.

What Unidecode provides is a function, 'unidecode(...)' that takes Unicode
data and tries to represent it in ASCII characters (i.e., the universally
displayable characters between 0x00 and 0x7F). The representation is almost
always an attempt at transliteration -- i.e., conveying, in Roman letters,
the pronunciation expressed by the text in some other writing system.

For example 'unidecode(u"u5317u4EB0")' returns 'Bei Jing'.

This is a Python port of Text::Unidecode Perl module by
Sean M. Burke.

%prep
%setup -q -n %{srcname}-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root="$RPM_BUILD_ROOT"


%files
%{python_sitelib}/unidecode/
%{python_sitelib}/*.egg-info/

%defattr(-,root,root,-)
%doc



%changelog
* Mon Jul 11 2011 P J P <pj.pandit@yahoo.co.in> - 0.04.7-1
- Initial RPM for python-unidecode.
